%global pkg mellanox
%global kernel 5.10.134-16.an8
%define pkg_version 5.8
%define anolis_release 8
%define debug_package %{nil} 
%undefine _hardened_build

Name:        kmod-%{pkg}
Version:     %(echo %{kernel} | sed -E 's/-/~/g; s/\.(an|al)[0-9]+$//g')
Release:     %{pkg_version}~%{anolis_release}%{?dist}
Summary:     Mellanox NIC drivers
License:     GPL-v2
Patch0:      source-git.patch

Requires: kernel = %{kernel}
Requires: kmod
Requires: dracut
BuildRequires: kernel-devel  = %{kernel}
BuildRequires: gcc kmod elfutils-libelf-devel automake

%description
Mellanox(R) NIC adapters 25G

%prep
%autosetup -p1 -c -T


%build
#cd mlnx-ofa_kernel-%{pkgversion}/
cd src
./configure --kernel-version=%{kernel}.%{_arch} --kernel-sources=/usr/src/kernels/%{kernel}.%{_arch} \
    --build-dummy-mods --with-core-mod --with-user_mad-mod --with-user_access-mod \
    --with-addr_trans-mod --with-mlx5-mod --with-mlxfw-mod --with-ipoib-mod --without-xdp -j 8
make -j 8

%install
cd src
make install INSTALL_MOD_PATH=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/infiniband/
cp ofed_scripts/vf-net-link-name.sh $RPM_BUILD_ROOT/etc/infiniband/
mkdir -p $RPM_BUILD_ROOT/lib/udev/rules.d
cp ofed_scripts/82-net-setup-link.rules $RPM_BUILD_ROOT/lib/udev/rules.d/
# mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/sources/


%clean
rm -rf $RPM_BUILD_ROOT

%pre


%post
/sbin/depmod -a %{kernel}.%{_arch}
dracut -f /boot/initramfs-%{kernel}.%{_arch}.img %{kernel}.%{_arch}

%preun


%postun
/sbin/depmod -a %{kernel}.%{_arch}
dracut -f /boot/initramfs-%{kernel}.%{_arch}.img %{kernel}.%{_arch}

%files
/lib/modules/%{kernel}.%{_arch}/extra/mlnx-ofa_kernel/*
%exclude /lib/modules/%{kernel}.%{_arch}/modules.alias
%exclude /lib/modules/%{kernel}.%{_arch}/modules.symbols
%exclude /lib/modules/%{kernel}.%{_arch}/modules.softdep
%exclude /lib/modules/%{kernel}.%{_arch}/modules.devname
%exclude /lib/modules/%{kernel}.%{_arch}/modules.dep
%exclude /lib/modules/%{kernel}.%{_arch}/modules.symbols.bin
%exclude /lib/modules/%{kernel}.%{_arch}/modules.builtin.bin
%exclude /lib/modules/%{kernel}.%{_arch}/modules.dep.bin
%exclude /lib/modules/%{kernel}.%{_arch}/modules.alias.bin
/etc/infiniband/openib.conf
/etc/init.d/openibd
/etc/modprobe.d/mlnx.conf
/etc/modprobe.d/ib_ipoib.conf
/usr/sbin/setup_mr_cache.sh
/etc/infiniband/mlx5.conf
/etc/infiniband/vf-net-link-name.sh
/usr/sbin/odp_stat.sh
/etc/modprobe.d/mlnx-bf.conf
/usr/sbin/ibdev2netdev
/lib/udev/auxdev-sf-netdev-rename
/lib/udev/rules.d/82-net-setup-link.rules
/lib/udev/rules.d/83-mlnx-sf-name.rules
/lib/udev/rules.d/90-ib.rules
/lib/udev/sf-rep-netdev-rename
/usr/share/mlnx_ofed/mlnx_bf_assign_ct_cores.sh

%changelog
* Thu May 26 2022 lq.hj <lq.h@alibaba-inc.com> - 5.10.134-007.ali5000.al8.x86_64
- mellanox driver 5.8 build for alikernel 5.10.134-007.ali5000.al8.x86_64
